<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--CSS -->

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('Zákazníci', '', 'addUser')"></div>

    <main id="main" class="container">

        <div class="flex-grow-1 p-2 px-1 py-2">

            <!--ALERTS-->
            <div th:replace="fragments/layout :: alerts"></div>

            <!--SEARCH-->
            <div class="input-group mb-2">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                        <i class="fas fa-search"></i>
                    </span>
                </div>
                <input id="userInput" type="text" class="form-control" placeholder="Jméno, firma, email nebo telefon"
                       aria-label="Jméno, firma, email nebo telefon" aria-describedby="basic-addon1">
            </div>

            <!--TABLE-->
            <div id="userList" th:fragment="userList(users)">

                <div id="notFoundMessage" class="alert alert-warning show" role="alert"
                     th:if="${#lists.isEmpty(users)}">
                    <span>Nepodařilo se najít žádný produkt</span>
                </div>

                <div th:if="${not #lists.isEmpty(users)}">

                    <div class="listItem border p-2 px-sm-3 d-flex"
                         th:each="user : ${users}"
                         th:onclick="'redirectTo(\'' + @{/admin/user/} + ${user.id} + '\')'">

                        <div>
                            <h5 class="mb-1" th:text="${user.getFullName()}"></h5>
                            <p class="small text-muted mb-0" th:text="${user.company}"></p>
                        </div>

                        <div class="ml-auto text-right">
                            <p class="small text-muted mb-1" th:text="${user.email}"></p>
                            <p class="small text-muted mb-0" th:text="${user.phoneNumber}"></p>
                        </div>
                    </div>

                </div>
            </div>

        </div>
    </main>
</div>

<!--FOOTER-->
<div th:replace="fragments/layout :: footer"></div>

<script>
    var searchInput = $('#userInput');

    if (searchInput) {
        searchInput.on("input", function (e) {

            $.ajax({
                url: '/admin/user/search',
                type: 'POST',
                data: {value: this.value}, //JSON.stringify(orderId)
                success: function (data) {
                    var htmlData = $(data)[0];
                    var list = $('#userList')[0];
                    list.innerHTML = htmlData.innerHTML;
                },
                error: function (a, b, c) {
                    console.log(a, b, c);
                }
            });
        });

        //enter - zobrazí prvního uživatele v listu
        searchInput.on("keyup", function (event) {
            // Enter
            if (event.keyCode === 13) {
                var items = $('.listItem');
                if (items.length > 0) {
                    items[0].click();
                }
            }
        });
    }
</script>

</body>
</html>